[blfs-book] r9294 - in trunk/BOOK: . introduction/welcome networking/netlibs

ken at linuxfromscratch.org ken at linuxfromscratch.org
Mon Feb 6 17:47:22 PST 2012


Author: ken
Date: 2012-02-06 18:47:17 -0700 (Mon, 06 Feb 2012)
New Revision: 9294

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/networking/netlibs/libproxy.xml
Log:
Update to libproxy-0.4.7.

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2012-02-07 01:28:09 UTC (rev 9293)
+++ trunk/BOOK/general.ent	2012-02-07 01:47:17 UTC (rev 9294)
@@ -492,7 +492,7 @@
 <!ENTITY libnice-version              "0.1.0">
 <!ENTITY libnl-version                "3.2.3">
 <!ENTITY libpcap-version              "1.1.1">
-<!ENTITY libproxy-version             "0.2.3">
+<!ENTITY libproxy-version             "0.4.7">
 <!ENTITY libsoup-version              "2.30.2">
 <!ENTITY libtirpc-version             "0.2.2">
 <!ENTITY neon-version                 "0.29.6">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2012-02-07 01:28:09 UTC (rev 9293)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2012-02-07 01:47:17 UTC (rev 9294)
@@ -71,6 +71,9 @@
         <listitem>
           <para>[ken] - Add libnl-3.2.3, based on Wayne's work for libnl-1.1.</para>
         </listitem>
+        <listitem>
+          <para>[ken] - merge libproxy-0.4.7 from Wayne.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 

Modified: trunk/BOOK/networking/netlibs/libproxy.xml
===================================================================
--- trunk/BOOK/networking/netlibs/libproxy.xml	2012-02-07 01:28:09 UTC (rev 9293)
+++ trunk/BOOK/networking/netlibs/libproxy.xml	2012-02-07 01:47:17 UTC (rev 9294)
@@ -6,9 +6,9 @@
 
   <!ENTITY libproxy-download-http "http://libproxy.googlecode.com/files/libproxy-&libproxy-version;.tar.gz">
   <!ENTITY libproxy-download-ftp  " ">
-  <!ENTITY libproxy-md5sum        "86b635e1eb2d665cfbef4c6134fe6604">
-  <!ENTITY libproxy-size          "370 KB">
-  <!ENTITY libproxy-buildsize     "3 MB">
+  <!ENTITY libproxy-md5sum        "509e03a488a61cd62bfbaf3ab6a2a7a5">
+  <!ENTITY libproxy-size          "89 KB">
+  <!ENTITY libproxy-buildsize     "23 MB">
   <!ENTITY libproxy-time          "0.2 SBU">
 ]>
 
@@ -34,6 +34,8 @@
     standardizing a way of dealing with proxy settings across all
     scenarios.</para>
 
+    &lfs70_built;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -58,6 +60,9 @@
 
     <bridgehead renderas="sect3">libproxy Dependencies</bridgehead>
 
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="cmake"/></para>
+
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended"><xref linkend="GConf"/> (Required if building <application>GNOME</application>)</para>
 
@@ -65,6 +70,7 @@
     <para role="optional"><xref linkend="x-window-system"/>,
     <xref linkend="python"/>,
     <xref linkend="xulrunner"/>,
+    <xref linkend="webkitgtk"/> or
     <ulink url="http://webkit.org/">WebKit</ulink>, and
     <ulink url="http://projects.gnome.org/NetworkManager/">NetworkManager</ulink></para>
 
@@ -76,10 +82,15 @@
   <sect2 role="installation">
     <title>Installation of libproxy</title>
 
+    <para>Note that the many messages produced by <command>tar</command> when
+    extracting this package
+   [ tar: Ignoring unknown extended header keyword `SCHILY.dev' and so forth ]
+   do not appear to indicate a problem.</para>
+
     <para>Install <application>libproxy</application> by running the following
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr &&
+<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=/usr . &&
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
@@ -94,22 +105,22 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><option>--with-gnome</option>: This option builds the GNOME
+    <para><option>-DWITH_GNOME3=ON</option>: This option builds the GNOME
     configuration plugin.</para>
 
-    <para><option>--with-kde</option>: This option builds the KDE configuration
+    <para><option>-DWITH_KDE4=ON</option>: This option builds the KDE configuration
     plugin.</para>
 
-    <para><option>--with-webkit</option>: This option builds the WebKit
+    <para><option>-DWITH_WEBKIT=ON</option>: This option builds the WebKit
     JavaScriptCore PAC runner plugin.</para>
 
-    <para><option>--with-mozjs</option>: This option builds the Mozilla
+    <para><option>-DWITH_MOZJS=ON</option>: This option builds the Mozilla
     JavaScript PAC runner plugin.</para>
 
-    <para><option>--with-networkmanager</option>: This option builds the
+    <para><option>-DWITH_NM=ON</option>: This option builds the
     NetworkManager plugin.</para>
 
-    <para><option>--with-python</option>: This option builds the Python
+    <para><option>-DWITH_PYTHON=ON</option>: This option builds the Python
     bindings.</para>
 
   </sect2>
@@ -148,11 +159,11 @@
       </varlistentry>
 
       <varlistentry id="libproxy-lib">
-        <term><filename class='libraryfile'>libproxy.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libproxy.so</filename></term>
         <listitem>
           <para>contains the <application>libproxy</application> API functions.</para>
           <indexterm zone="libproxy libproxy-lib">
-            <primary sortas="c-libproxy">libproxy.{so,a}</primary>
+            <primary sortas="c-libproxy">libproxy.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>




More information about the blfs-book mailing list